package com.ningdatech.pmapi.organization.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.organization.model.entity.DingOrganization;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-09
 */
public interface IDingOrganizationService extends IService<DingOrganization> {

    /**
     * 根据组织code查询组织信息
     * @param orgCode
     * @return
     */
    DingOrganization getByOrgCode(String orgCode);

    /**
     * 根据组织code查询父组织信息
     * @param orgCode
     * @return
     */
    DingOrganization getParentOrganization(String orgCode);
}
