package com.ningdatech.pmapi.projectlib.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 项目续建列表导出实体
 *
 * @author CMM
 * @since 2023/02/21 15:03
 */
@Data
public class ProjectRenewalExportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty("项目名称")
    private String projectName;

    @ExcelProperty("申报单位")
    private String buildOrgName;

    @ExcelProperty("项目类型")
    private String projectTypeName;

    @ExcelProperty("预算年度")
    private Integer projectYear;

    @ExcelProperty("年度支付金额(万元)")
    private BigDecimal annualPaymentAmount;

    @ExcelProperty("状态")
    private String approvalStatusName;

    @ExcelProperty("创建时间")
    private String createOn;

}
