package com.ningdatech.pmapi.projectlib.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * AnnualPlanListItemVO
 * </p>
 *
 * @author WendyYang
 * @since 15:19 2023/2/11
 */
@Data
public class AnnualPlanListItemVO {

    @ApiModelProperty("项目名称")
    private String projectName;

    @ApiModelProperty("建设单位")
    private String buildOrg;

    @ApiModelProperty("项目类型")
    private Integer projectType;

    @ApiModelProperty("申报金额")
    private BigDecimal declaredAmount;

    @ApiModelProperty("预算年度")
    private Integer projectYear;

    @ApiModelProperty("项目是否开起方案申报")
    private Boolean isStartDeclaredProject;

    @ApiModelProperty("项目阶段")
    private Integer stage;

    @ApiModelProperty("项目状态")
    private Integer status;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

}
