package com.ningdatech.pmapi.todocenter.model.vo;


import com.wflow.workflow.bean.dto.ProcessInstanceUserDto;
import com.wflow.workflow.bean.vo.ProcessProgressVo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 流程进展详情实体
 *
 * @author CMM
 * @since 2023/01/30 17:21
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ProcessProgressDetailVo {

    /**
     * 流程处理详情
     */
    private ProcessProgressVo processProgressVo;
    /**
     * 流程状态
     */
    private String status;
    /**
     * 项目ID
     */
    private Long projectId;

}
