package com.ningdatech.pmapi.user.constant;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author liuxinxin
 * @date 2022/8/17 下午5:55
 */
@AllArgsConstructor
@Getter
@ApiModel("登陆类型")
public enum LoginTypeEnum {
    /**
     * 浙政钉扫码登陆
     */
    DING_QR_LOGIN,

    /**
     * 手机号验证码登陆
     */
    PHONE_VERIFICATION_CODE_LOGIN,

    /**
     * 账号密码登陆
     */
    USERNAME_PASSWORD_LOGIN;

}
