package com.ningdatech.pmapi.user.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/2/15 上午8:43
 */
@Data
@ApiModel("获取用户详情请求")
public class ResUserDetailVO {

    @ApiModelProperty("userId")
    private Long userId;

    @ApiModelProperty("用户姓名")
    private String realName;

    @ApiModelProperty("手机号")
    private String phoneNo;

    @ApiModelProperty("用户角色信息列表")
    private List<UserRoleVO> userRoleInfoList;

    @ApiModelProperty("浙政钉 用户编码")
    private String employeeCode;

    @ApiModelProperty("所在单位（主职）")
    private String orgName;

    @ApiModelProperty("所在单位（主职）code")
    private String orgCode;

    @ApiModelProperty("所属区域")
    private Long regionId;
    private String regionCode;

    @ApiModelProperty("用户角色")
    private List<UserRoleVO> userRoleList;

    @ApiModelProperty("状态 启用 ENABLE/禁用 DISABLE")
    private String status;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;
}
