package com.ningdatech.pmapi.expert.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-02-22
 */
@TableName("nd_expert_user_full_info")
@Data
@ApiModel(value = "NdExpertUserFullInfo对象", description = "")
public class ExpertUserFullInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long userId;

    private String expertAccountStatus;

    private String isDingUser;

    private String userInfoStep;

    private String phoneNo;

    private String gender;

    private String expertName;

    private Long avatarFileId;

    private String idCard;

    private String officePhone;

    private String bankNo;

    private String bank;

    private String email;

    private String school;

    private LocalDateTime graduatedAt;

    private String academicTitle;

    private String graduationCertificateFileIdList;

    private String degreeCertificateFileIdList;

    private LocalDateTime retiredAt;

    private String company;

    private String legalEntityCode;

    private String administrativeDuties;

    private LocalDateTime startWorkAt;

    private String address;

    private String experience;

    private String technicalTitles;

    private String titleCertificateFileIdList;

    private String awards;

    private String recognitionReward;

    private String recommendationProofFileIdList;

    private String regionCode;

    private Integer regionLevel;

    private String recommendedWay;

    private String remark;

    private String hometown;

    private String nationality;

    private LocalDateTime birth;

}
