package com.ningdatech.pmapi.meeting.service;

import com.ningdatech.pmapi.meeting.entity.domain.MeetingInnerProject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 会议评审内部项目表 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-28
 */
public interface IMeetingInnerProjectService extends IService<MeetingInnerProject> {

    /**
     * 查询会议评审的内部项目
     *
     * @param meetingId 会议ID
     * @return 会议关联的系统内部项目
     * @author WendyYang
     **/
    List<MeetingInnerProject> listByMeetingId(Long meetingId);

}
