package com.ningdatech.pmapi.user.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/2/13 上午9:10
 */
@Data
@ApiModel("用户管理查询 请求response")
public class ResUserInfoListVO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("浙政钉 用户编码")
    private String employeeCode;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("所在单位（主职）")
    private String orgName;

    @ApiModelProperty("所在单位（主职）code")
    private String orgCode;

    @ApiModelProperty("所属区域")
    private Long regionId;

    @ApiModelProperty("用户角色")
    private List<UserRoleVO> userRoleList;

    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

}
