package com.ningdatech.pmapi.user.security.auth.model;

import com.ningdatech.pmapi.sys.model.entity.Role;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/1/4 下午5:07
 */

@Data
public class UserFullInfoDTO {

    private Long userId;

    private String realName;

    private String username;

    private String identifier;

    private String credential;

    /**
     * 所属区域编码
     */
    private String regionCode;

    /**
     * 浙政钉扫码 员工code
     */
    private String employeeCode;

    /**
     * 浙政钉组织code
     */
    private String organizationCode;

    /**
     * 浙政钉组织名称
     */
    private String organizationName;

    /**
     * 用户角色
     */
    private List<Role> userRoleList;

}
